VDETELWEB(1)

NAME
vdetelweb - Virtual Distributed Ethernet Telnet and/or Web management module

SYNOPSIS
vdetelweb [ --web ] [ --telnet ] [ --nodename nodename ] [ --daemon ] [ --rcfile rcfile ] mgmt_socket

DESCRIPTION
vdetelweb implements a tiny telnet server and/or a tiny web server for the remote management of a VDE2 switch.

OPTIONS

-w, --web
    start the web server. At least one of --web or --telnet must be set.

-t, --telnet
    start the telnet server. At least one of --web or --telnet must be set.

-n, --nodename nodename
    specify the nodename as seen from remote connections (e.g. in the command prompt or in the web page title). uname nodename is used when this option is not specified.

-d, --daemon
    run as a daemon, using syslog for logging.

-f, --rcfile rcfile
    rc file to set the initial switch configuration. When not specified, vdetelweb searches for ~/.vde/vdetelwebrc and /etc/vde/vdetelwebrc. At leas one rc file must exist and be readable.

-h, --help
    print help. please use it for a more complete list of options.

mgmt_socket
    is the managemnt socket used to communicate with the vde_switch. (This option must match the path used in the -M option for the vde_switch).

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_switch(1), vde_plug(1), vdeq(1). dpipe(1). unixterm(1).

AUTHOR
VDE is a project by Renzo Davoli <renzo@cs.unibo.it>